org.apache.nutch.scoring.similarity.cosine

## Class CosineSimilarity

- java.lang.Object
- - org.apache.nutch.scoring.similarity.cosine.CosineSimilarity

- All Implemented Interfaces:
    SimilarityModel

      public class CosineSimilarity
      extends Object
      implements SimilarityModel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CosineSimilarity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrawlDatum` | `distributeScoreToOutlinks(Text fromUrl, ParseData parseData, Collection<Map.Entry<Text,CrawlDatum>> targets, CrawlDatum adjust, int allCount)`
    `void` | `setConf(Configuration conf)`
    `float` | `setURLScoreAfterParsing(Text url, Content content, Parse parse)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CosineSimilarity

          public CosineSimilarity()

  - ### Method Detail

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `SimilarityModel`

    - #### setURLScoreAfterParsing

          public float setURLScoreAfterParsing(Text url,
                                               Content content,
                                               Parse parse)

      Specified by:
        `setURLScoreAfterParsing` in interface `SimilarityModel`

    - #### distributeScoreToOutlinks

          public CrawlDatum distributeScoreToOutlinks(Text fromUrl,
                                                      ParseData parseData,
                                                      Collection<Map.Entry<Text,CrawlDatum>> targets,
                                                      CrawlDatum adjust,
                                                      int allCount)

      Specified by:
        `distributeScoreToOutlinks` in interface `SimilarityModel`

Copyright © 2021 The Apache Software Foundation